mixin noticiaResumo(noticia)
    h3.titulo
        a(href="/noticia/" + noticia.slug)=noticia.titulo
    p.small.text-muted=noticia.dataFormatada() + " - " + noticia.visualizacoesFormatada() + " - " + noticia.site.titulo
    p.subtitulo=noticia.subtitulo

mixin listarNoticias(noticias, hideRegiao, hideEstado)
    each noticia in noticias
        article.noticia.row
            p.nome-regiao.columns.twelve=noticia.regiaoFormatada(hideRegiao, hideEstado)
            if noticia.imagem
                div.row
                    p.imagem.columns.twelve
                        a(href="/noticia/" + noticia.slug)
                            image(src='/imagem/' + noticia.id)
            div.columns.twelve
                +noticiaResumo(noticia)
            hr.columns.twelve

mixin listarBusca(noticias, hideRegiao, hideEstado)
    each noticia in noticias
        article.noticia.row
            p.nome-regiao.columns.twelve=noticia.regiaoFormatada(hideRegiao, hideEstado)
            div.columns.twelve
                +noticiaResumo(noticia)
            hr.columns.twelve

mixin listarDestaques(noticias, hideRegiao, hideEstado)
    each noticia in noticias
        article.noticia.row
            p.nome-regiao.columns.twelve=noticia.regiaoFormatada(hideRegiao, hideEstado)
            div.columns.twelve
                h3.titulo
                    a(href="/noticia/" + noticia.slug)=noticia.titulo
                p.small.text-muted=noticia.visualizacoesFormatada()
            hr.columns.twelve

mixin regiao(regiao, noticias)
    div.regiao
        h3(id=regiao)=regiao
        hr
        if (noticias.length > 2)
            +noticiasRegiao(noticias)
            p.right
                a.mais(href="/regiao/" + regiao.toUpperCase()) Mais notícias...
        else
            p Nenhuma notícia para esta região

mixin noticiasRegiao(noticias)
    section.noticias
        each noticia in noticias
            article.noticia
                h4.titulo.sm
                    a(href="/noticia/" + noticia.slug)
                        i.fa.fa-caret-right &nbsp;
                        span=noticia.titulo

mixin sidebar()
    div.social
        h3(id=regiao) Redes Sociais
        hr
        a.button.button-primary(href="https://www.facebook.com/bzconcursos/")
            i.fab.fa-facebook-square.fa-lg
            span=" Facebook"
    if tags
        div.regiao
            h3(id=regiao) Mais buscados
            hr
            section.noticias
                each tag in tags
                    article.noticia
                        h4.titulo.sm
                            a(href='/buscar/' + tag.tema)
                                i.fa.fa-caret-right &nbsp;
                                span=tag.tema

    if nacionais
        +regiao("Nacional", nacionais)
    if centroOeste
        +regiao("Centro-Oeste", centroOeste)
    if nordeste
        +regiao("Nordeste", nordeste)
    if norte
        +regiao("Norte", norte)
    if sudeste
        +regiao("Sudeste", sudeste)
    if sul
        +regiao("Sul", sul)